dofile("scripts/entities/entityinclude.lua")

naija = 0

function init(me)
	node_setCursorActivation(me, false)
	naija = getNaija()	
	-- kill the boss if he shouldn't be there anymore
	if getStory() > 8 then
		debugLog("killing boss?")
		energyBoss = getEntity("EnergyBoss")
		if energyBoss ~= 0 then
			entity_delete(energyBoss)
		end
	end
end

function activate(me)
end

function update(me, dt)
	if getStory() <= 8 then
		if node_isEntityIn(me, naija) then
			setStory(9)
		end
	end
end
